package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpSupplier;
import org.apache.ibatis.annotations.Param;

/**
 * 供应商Mapper接口
 * 
 * @author zd
 * @date 2022-05-10
 */
public interface QpSupplierMapper 
{
    /**
     * 查询供应商
     * 
     * @param id 供应商主键
     * @return 供应商
     */
    QpSupplier selectQpSupplierById(Long id);

    /**
     * 查询供应商列表
     * 
     * @param qpSupplier 供应商
     * @return 供应商集合
     */
    List<QpSupplier> selectQpSupplierList(QpSupplier qpSupplier);

    /**
     * 新增供应商
     * 
     * @param qpSupplier 供应商
     * @return 结果
     */
    int insertQpSupplier(QpSupplier qpSupplier);

    /**
     * 修改供应商
     * 
     * @param qpSupplier 供应商
     * @return 结果
     */
    int updateQpSupplier(QpSupplier qpSupplier);

    /**
     * 删除供应商
     * 
     * @param id 供应商主键
     * @return 结果
     */
    int deleteQpSupplierById(Long id);

    /**
     * 批量删除供应商
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpSupplierByIds(Long[] ids);

    /**
     * 供应商名称校验
     * @param name 名称
     * @param type 类型
     * @return 返回值
     */
    Boolean checkName(@Param("name") String name,@Param("type") Integer type);

    /**
     * 根据ID，批量查询供应商信息
     * @param ids 供应商ID
     * @return 结果集
     */
    List<QpSupplier> selectQpSupplierListByIds(Long[] ids);

    /**
     * 根据账号ID查询供应商
     *
     * @param accountId 供应商账号ID
     * @return 供应商集合
     */
    QpSupplier selectQpSupplierByAccountId(@Param("accountId") Long accountId);

    /**
     * 根据主键查询供应商信息
     * @param ids 主键集合
     * @return 供应商集合
     */
    List<QpSupplier> getByIds(List<Long> ids);
}
